Check if Points Transferable

Checks if specific points of a customer can be transferred to another customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Checks if specific points of a customer can be transferred to another customer. You can also issue OTP that is used to authenticate customer to transfer points ( pointsTransfer API ). By default, the value is set to false. OTP is not mandatory for points transfer and can be used for security purposes.

📘

Notes

  • Points added during customer creation cannot be transferred, points rewarded through transaction are transferable.
  • This API is applicable only for individual-to-individual transfers within the Intouch platform. It does not support group-to-group transfers.
  • For detailed information about the APIs and for hands-on testing, refer to the API overview documentation and step-by-step guide on making your first API call

Example request

curl --location 'https://eu.api.capillarytech.com/v2/points/isTransferrable' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bWFka2YQ==' \
--header 'Cookie: _cfuvid=IEacVBB7xCaQXaYZNjqhVgGFNNBE1wcNyx6O5vnh4cA-1759831634361-0.0.1.1-604800000' \
--data '{
    "pointsTobeTransferred":1, 
    "groupProgramTransfer": false,
    
    "programId": 973,
    "fromCustomerIdentifier": {
        "type": "MOBILE",
        "value": "9777785206" 
    },
    "toCustomerIdentifier": {
        "type": "MOBILE",
        "value": "9777785207"
    },
    "issueOtp":false
}'

Prerequisites

  • The config ALLOW_POINTS_TRANSFER should be enabled for the org. To enable this, create a JIRA ticket to the Product Support team.

Example response

{
    "data": [
        {
            "pointsTobeTransferred": 1.0,
            "transferFrom": {
                "id": 564955302,
                "profiles": [
                    {
                        "firstName": "testgrp4",
                        "lastName": "testgrpv2",
                        "attribution": {
                            "createDate": "2025-02-18T05:14:32Z",
                            "createdBy": {
                                "id": 75155295,
                                "code": "sant.p_123",
                                "name": "sant.p_123",
                                "type": "TILL",
                                "referenceId": -1,
                                "default": false
                            },
                            "modifiedBy": {
                                "id": 75155295,
                                "code": "sant.p_123",
                                "name": "sant.p_123",
                                "type": "TILL",
                                "referenceId": -1,
                                "default": false
                            },
                            "modifiedDate": "2025-06-02T11:26:52Z"
                        },
                        "fields": {},
                        "allFields": {},
                        "identifiers": [
                            {
                                "type": "mobile",
                                "value": "919777785206"
                            },
                            {
                                "type": "externalId",
                                "value": "434548"
                            },
                            {
                                "type": "email",
                                "value": "[email protected]"
                            }
                        ],
                        "commChannels": [
                            {
                                "type": "mobile",
                                "value": "919777785206",
                                "primary": true,
                                "verified": false,
                                "meta": {
                                    "residence": false,
                                    "office": false
                                },
                                "attributes": {}
                            },
                            {
                                "type": "email",
                                "value": "[email protected]",
                                "primary": true,
                                "verified": false,
                                "meta": {
                                    "residence": false,
                                    "office": false
                                },
                                "attributes": {}
                            }
                        ],
                        "source": "INSTORE",
                        "userId": 564955302,
                        "accountId": "",
                        "conflictingProfileList": [],
                        "autoUpdateTime": "2025-10-07T10:15:10Z",
                        "identifiersAll": [
                            {
                                "type": "mobile",
                                "value": "919777785206"
                            },
                            {
                                "type": "externalId",
                                "value": "434548"
                            },
                            {
                                "type": "email",
                                "value": "[email protected]"
                            }
                        ]
                    }
                ],
                "loyaltyInfo": {
                    "loyaltyType": "loyalty",
                    "attributionV2": {
                        "createDate": "2025-02-18T05:14:32Z",
                        "createdBy": {
                            "id": 75155295,
                            "code": "sant.p_123",
                            "name": "sant.p_123",
                            "type": "TILL",
                            "referenceId": -1,
                            "default": false
                        },
                        "modifiedBy": {
                            "id": 75155295,
                            "code": "sant.p_123",
                            "name": "sant.p_123",
                            "type": "TILL",
                            "referenceId": -1,
                            "default": false
                        },
                        "modifiedDate": "2025-06-02T11:26:52Z"
                    },
                    "lifetimePurchases": 50000.000
                },
                "segments": {},
                "extendedFields": {}
            },
            "transferTo": {
                "id": 564955411,
                "profiles": [
                    {
                        "firstName": "testgrp5",
                        "lastName": "testgrpv2",
                        "attribution": {
                            "createDate": "2025-02-18T05:53:34Z",
                            "createdBy": {
                                "id": 75155295,
                                "code": "sant.p_123",
                                "name": "sant.p_123",
                                "type": "TILL",
                                "referenceId": -1,
                                "default": false
                            },
                            "modifiedBy": {
                                "id": 75155295,
                                "code": "sant.p_123",
                                "name": "sant.p_123",
                                "type": "TILL",
                                "referenceId": -1,
                                "default": false
                            },
                            "modifiedDate": "2025-06-02T11:27:06Z"
                        },
                        "fields": {},
                        "allFields": {},
                        "identifiers": [
                            {
                                "type": "mobile",
                                "value": "919777785207"
                            },
                            {
                                "type": "email",
                                "value": "[email protected]"
                            },
                            {
                                "type": "externalId",
                                "value": "434549"
                            }
                        ],
                        "commChannels": [
                            {
                                "type": "mobile",
                                "value": "919777785207",
                                "primary": true,
                                "verified": false,
                                "meta": {
                                    "residence": false,
                                    "office": false
                                },
                                "attributes": {}
                            },
                            {
                                "type": "email",
                                "value": "[email protected]",
                                "primary": true,
                                "verified": false,
                                "meta": {
                                    "residence": false,
                                    "office": false
                                },
                                "attributes": {}
                            }
                        ],
                        "source": "INSTORE",
                        "userId": 564955411,
                        "accountId": "",
                        "conflictingProfileList": [],
                        "autoUpdateTime": "2025-10-07T10:15:10Z",
                        "identifiersAll": [
                            {
                                "type": "mobile",
                                "value": "919777785207"
                            },
                            {
                                "type": "email",
                                "value": "[email protected]"
                            },
                            {
                                "type": "externalId",
                                "value": "434549"
                            }
                        ]
                    }
                ],
                "loyaltyInfo": {
                    "loyaltyType": "loyalty",
                    "attributionV2": {
                        "createDate": "2025-02-18T05:53:34Z",
                        "createdBy": {
                            "id": 75155295,
                            "code": "sant.p_123",
                            "name": "sant.p_123",
                            "type": "TILL",
                            "referenceId": -1,
                            "default": false
                        },
                        "modifiedBy": {
                            "id": 75155295,
                            "code": "sant.p_123",
                            "name": "sant.p_123",
                            "type": "TILL",
                            "referenceId": -1,
                            "default": false
                        },
                        "modifiedDate": "2025-06-02T11:27:06Z"
                    },
                    "lifetimePurchases": 50000.000
                },
                "segments": {},
                "extendedFields": {}
            },
            "transferrable": true
        }
    ],
    "warnings": [],
    "errors": []
}

Response Parameters

ParameterData TypeDescription
dataArrayContains details of the points transfer request.
pointsTobeTransferredFloatNumber of points to be transferred.
transferFromObjectDetails of the customer transferring the points.
  • id
LongUnique identifier of the customer transferring points.
  • profiles
ArrayList of profile details of the transferring customer.
-- firstNameStringFirst name of the transferring customer.
-- lastNameStringLast name of the transferring customer.
-- identifiersArrayList of identifiers for the transferring customer (e.g., email, mobile, external ID).
-- commChannelsArrayList of communication channels (email, mobile) for the transferring customer.
loyaltyInfoObjectLoyalty details of the transferring customer.
  • loyaltyType
StringType of loyalty program.
  • lifetimePurchases
FloatTotal purchases made by the transferring customer.
transferToObjectDetails of the customer receiving the points.
  • id
LongUnique identifier of the customer receiving points.
  • profiles
ArrayList of profile details of the receiving customer.
-- firstNameStringFirst name of the receiving customer.
-- lastNameStringLast name of the receiving customer.
-- identifiersArrayList of identifiers for the receiving customer (e.g., email, mobile, external ID).
-- commChannelsArrayList of communication channels (email, mobile) for the receiving customer.
  • loyaltyInfo (under transferTo)
ObjectLoyalty details of the receiving customer.
-- loyaltyTypeStringType of loyalty program.
-- lifetimePurchasesFloatTotal purchases made by the receiving customer.
transferrableBooleanIndicates if the points transfer is possible.
warningsArrayList of warnings, if any.
errorsArrayList of errors, if any.

API specific error codes

Error codeDescriptionReason
885Invalid program id passedThe program id provided is invalid or unsupported.
8013Invalid identifier passedThe costumer id was invalid or unsupported
8015Costumer not found for the given identifiersCustomer id provided is invalid or not found.
3316Group redemption action executed for non-group redemption payload.Group redemption action is unsupported for non-group redemption payload.
Body Params
int32

Program ID from which points has to be transferred. Applicable for multi-program orgs.

boolean
Defaults to false

Pass true to check group points transfer details.

string

Information to store for the current transfer activity.

int32
required

Number of points to be transferred.

fromCustomerIdentifier
object

Details of source customer - customer that wants to transfer points.

toCustomerIdentifier
object

Customer or group to which the points needs to be transferred.

boolean
Defaults to false

When set to true- It sends an OTP to the sender (fromCustomer) when points are transferable. This OTP can be used to authenticate the transfer. When set to false: No OTP will be generated or sent. The points transfer can still proceed without OTP verification. OTP is not mandatory for points transfer. It can be used for security purposes.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json